{"swagger":"2.0","info":{"description":"General response codes:\n * `200` - OK\n * `401` - Unauthorized (missed Authorization header / token expired)\n * `403` - Forbidden\n * `404` - Not found\n * `422` - Validation error (missed or bad request parameters)\n * `429` - Too Many Requests (endpoint rate limit reached, try again later)\n * `500` - Internal Server Error (something bad happened)\n * `503` - Service Unavailable (app is under maintenance mode or external service is down)\n\nRequired headers for each request:\n * `Accept: application/json`\n * `Content-Type: application/json`\n\nAuthorization header:\n * `Authorization: Bearer {token}`\n","version":"1.0.0","title":"1551 API"},"host":"1551-stage-back.kyivcity.gov.ua","basePath":"/api","schemes":["https"],"tags":[{"name":"Auth","description":"Auth related endpoints"},{"name":"User","description":"User related endpoints"},{"name":"Dictionaries","description":"Dictionaries related endpoints"},{"name":"Tickets","description":"Tickets related endpoints"},{"name":"News","description":"News related endpoints"},{"name":"Content","description":"Content pages related endpoints"},{"name":"Addresses","description":"Addresses related endpoints"},{"name":"Notification","description":"Notification related endpoints"},{"name":"Push-token","description":"Push token related endpoints"},{"name":"Statistics","description":"Statistics related endpoints"}],"securityDefinitions":{"Bearer":{"type":"apiKey","name":"Authorization","in":"header"}},"security":[{"Bearer":[]}],"paths":{"/auth/refresh":{"post":{"tags":["Auth"],"summary":"refresh token","responses":{"200":{"description":"New fresh token","schema":{"properties":{"access_token":{"type":"string","example":"eyJ0aXAiOiJKV1QiLCJhcGciOiJIUzI1NiJ9.eyJpc3MiOiJodHRwOlwvXC9yaGEubG9jXC9hdXRoXC9jYWxsYmFjayIsImlhdCI6MTU0ODY4NTA1MSwiZXhwIjoxNTUxMzYzNDUxLCJuYmYiOjE1NBg2ODUwNTEsImp0aSI6IjF2alJXcDRyc0RteU1SY2MiLCJzdWIiOjEsInBydiI6IjIzYmQ1Yzg5NDlmNjAwYWRiMzllNzAxYzQwMDg3MmRiN2E1OTc2ZjcifQ.Kl2gdpUJmoYhgOd4rqEb6mwoLY1LtxNpmwmb34fIFgQ"},"token_type":{"type":"string","example":"bearer"},"expires_in":{"type":"integer","example":2678400,"description":"seconds"}}}}}}},"/auth/logout":{"post":{"tags":["Auth"],"summary":"user logout","responses":{"200":{"description":"Successfully logged out","schema":{"properties":{"message":{"type":"string","example":"Successfully logged out"}}}}}}},"/user/profile":{"get":{"tags":["User"],"summary":"full user profile","operationId":"profile","produces":["application/json"],"responses":{"200":{"description":"Full user profile","schema":{"$ref":"#/definitions/Profile"}}}}},"/user/avatar/update":{"post":{"consumes":["multipart/form-data"],"parameters":[{"name":"image","in":"formData","description":"Image file to upload","required":true,"type":"file"}],"tags":["User"],"summary":"update user's profile","operationId":"avatar","produces":["application/json"],"responses":{"200":{"description":"Updates user's avatar"}}}},"/user/addresses":{"get":{"tags":["User"],"summary":"User addresses list","responses":{"200":{"description":"User addresses list","schema":{"properties":{"addresses":{"type":"array","items":{"$ref":"#/definitions/Address"}}}}}}}},"/user/addresses/{id}":{"get":{"tags":["User"],"summary":"User address","parameters":[{"in":"path","name":"id","type":"integer","required":true,"description":"Numeric ID of the address to get."}],"responses":{"200":{"description":"User address","schema":{"$ref":"#/definitions/Address"}}}}},"/user/documents":{"get":{"tags":["User"],"summary":"User documents list","responses":{"200":{"description":"User documents list","schema":{"properties":{"documents":{"type":"array","items":{"$ref":"#/definitions/Document"}}}}}}}},"/user/documents/{id}":{"get":{"tags":["User"],"summary":"User document","parameters":[{"in":"path","name":"id","type":"integer","required":true,"description":"Numeric ID of the document to get."}],"responses":{"200":{"description":"User document","schema":{"$ref":"#/definitions/Document"}}}}},"/dictionaries/ticket-subjects":{"get":{"tags":["Dictionaries"],"summary":"Ticket subjects list","responses":{"200":{"description":"Ticket subjects list","schema":{"properties":{"ticket_subjects":{"type":"array","items":{"$ref":"#/definitions/TicketSubject"}}}}}}}},"/dictionaries/rate-reasons":{"get":{"tags":["Dictionaries"],"summary":"Ticket rate reasons","responses":{"200":{"description":"Ticket rate reasons","schema":{"properties":{"rate_reasons":{"type":"array","items":{"$ref":"#/definitions/TicketRateReason"}}}}}}}},"/dictionaries/what-can-be-reported/categories":{"get":{"tags":["Dictionaries"],"summary":"What can be reported categories list","responses":{"200":{"description":"What can be reported categories list","schema":{"properties":{"categories":{"type":"array","items":{"$ref":"#/definitions/WhatCanBeReportedCategory"}}}}}}}},"/dictionaries/what-can-be-reported/items/{id}":{"get":{"tags":["Dictionaries"],"summary":"What can be reported category items list","parameters":[{"in":"path","name":"id","type":"integer","required":true,"description":"Numeric ID of the category to get items for."}],"responses":{"200":{"description":"What can be reported category items list","schema":{"properties":{"category_items":{"type":"array","items":{"$ref":"#/definitions/WhatCanBeReported"}}}}}}}},"/dictionaries/news/categories":{"get":{"tags":["Dictionaries"],"summary":"News categories list","responses":{"200":{"description":"News categories list","schema":{"properties":{"categories":{"type":"array","items":{"$ref":"#/definitions/NewsCategory"}}}}}}}},"/dictionaries/districts":{"get":{"tags":["Dictionaries"],"summary":"Districts list","responses":{"200":{"description":"Districts list","schema":{"properties":{"districts":{"type":"array","items":{"$ref":"#/definitions/District"}}}}}}}},"/tickets/all":{"get":{"tags":["Tickets"],"summary":"Get all tickets","parameters":[{"in":"query","name":"per_page","type":"integer","required":false,"description":"Amount of items per page limit(by default: 10)"},{"in":"query","name":"page","type":"integer","required":false,"description":"Get specified page by number"}],"responses":{"200":{"description":"Get all tickets","schema":{"properties":{"tickets":{"type":"array","items":{"$ref":"#/definitions/Ticket"}},"meta":{"$ref":"#/definitions/Pagination"}}}}}}},"/tickets/map":{"get":{"tags":["Tickets"],"summary":"Get tickets for the Goolge map","responses":{"200":{"description":"Get tickets for the Goolge map","schema":{"properties":{"tickets":{"type":"array","items":{"$ref":"#/definitions/TicketMap"}}}}}}}},"/tickets/search":{"get":{"tags":["Tickets"],"summary":"Search and filter tickets","parameters":[{"in":"query","name":"per_page","type":"integer","required":false,"description":"Amount of items per page limit(by default: 10)"},{"in":"query","name":"page","type":"integer","required":false,"description":"Get specified page by number"},{"in":"query","name":"search_query","type":"string","required":false,"description":"Text to search(currently searches in tickets description)"},{"in":"query","name":"with_photo","type":"string","required":false,"description":"Can be 0 or 1"},{"in":"query","name":"subject_ids","type":"string","required":false,"description":"subjects ids separated by commas. For example: 1,2,3"},{"in":"query","name":"statuses","type":"string","required":false,"description":"List of subjects separated by commas. For example: На модерації,Зареєстровано,В роботі"},{"in":"query","name":"district_ids","type":"string","required":false,"description":"district ids separated by commas. For example: 1,2,3"}],"responses":{"200":{"description":"Get filtered results","schema":{"properties":{"tickets":{"type":"array","items":{"$ref":"#/definitions/Ticket"}},"meta":{"$ref":"#/definitions/Pagination"}}}}}}},"/tickets":{"get":{"tags":["Tickets"],"summary":"Current user's tickets list","parameters":[{"in":"query","name":"per_page","type":"integer","required":false,"description":"Amount of items per page limit(by default: 10)"},{"in":"query","name":"page","type":"integer","required":false,"description":"Get specified page by number"},{"in":"query","name":"archived","type":"integer","required":false,"description":"If 1 - returns archived tickets, if 0 - returns non-archived tickets. If not present in query - returns all tickets that belong to current user."}],"responses":{"200":{"description":"Current user's tickets list","schema":{"properties":{"tickets":{"type":"array","items":{"$ref":"#/definitions/Ticket"}},"meta":{"$ref":"#/definitions/Pagination"}}}}}},"post":{"tags":["Tickets"],"summary":"Create new ticket for the current user","consumes":["multipart/form-data"],"parameters":[{"name":"images[]","in":"formData","description":"Array of image files","type":"file"},{"name":"subject_id","required":true,"in":"formData","type":"integer"},{"name":"description","required":true,"in":"formData","type":"string"},{"name":"private","required":false,"in":"formData","type":"integer"},{"name":"address","in":"formData","type":"string"},{"name":"street","in":"formData","type":"string"},{"name":"building","in":"formData","type":"string"},{"name":"location_lat","in":"formData","type":"number"},{"name":"location_lng","in":"formData","type":"number"}],"responses":{"200":{"description":"Create new ticket for the current user","schema":{"properties":{"ticket":{"$ref":"#/definitions/Ticket"}}}}}}},"/tickets/{id}":{"get":{"tags":["Tickets"],"summary":"Get ticket by id","parameters":[{"in":"path","name":"id","type":"integer","required":true,"description":"Numeric ID of the ticket to get."}],"responses":{"200":{"description":"Get ticket by id","schema":{"properties":{"ticket":{"$ref":"#/definitions/Ticket"}}}}}},"put":{"tags":["Tickets"],"summary":"Updates ticket's description.","consumes":["application/json"],"parameters":[{"in":"path","name":"id","type":"integer","required":true,"description":"Id of the ticket"},{"in":"body","name":"body","description":"","schema":{"type":"object","required":["description"],"properties":{"description":{"type":"string","example":"Some description"}}}}],"responses":{"201":{"description":"Returns updated ticket","schema":{"properties":{"ticket":{"$ref":"#/definitions/Ticket"}}}}}}},"/ticket-progress/{id}":{"get":{"tags":["Tickets"],"summary":"Get ticket progress by id","parameters":[{"in":"path","name":"id","type":"integer","required":true,"description":"Id of ticket"}],"responses":{"200":{"description":"Get ticket progress by ticket id","schema":{"properties":{"ticket_progress":{"type":"object","properties":{"placeholders":{"type":"array","items":{"$ref":"#/definitions/TicketProgressPlaceholder"}},"Травень - 2019":{"type":"array","items":{"$ref":"#/definitions/TicketProgress"}},"Квітень - 2019":{"type":"array","items":{"$ref":"#/definitions/TicketProgress"}}}},"show_buttons":{"type":"boolean","example":false}}}}}}},"/tickets-rate/{id}":{"get":{"tags":["Tickets"],"summary":"Get ticket rate by ticket id","parameters":[{"in":"path","name":"id","type":"integer","required":true,"description":"Numeric ID of the ticket."}],"responses":{"200":{"description":"Get ticket rate by ticket id","schema":{"properties":{"ticket_rate":{"$ref":"#/definitions/TicketRate"}}}}}}},"/ticket-rate":{"post":{"tags":["Tickets"],"summary":"Creates rate for the ticket.","consumes":["application/json"],"parameters":[{"in":"body","name":"body","description":"","schema":{"type":"object","required":["ticket_id"],"properties":{"ticket_id":{"type":"integer","example":4}}}}],"responses":{"201":{"description":"Return created ticket rate","schema":{"properties":{"ticket_rate":{"$ref":"#/definitions/TicketRate"}}}}}}},"/ticket-rate/{id}":{"put":{"tags":["Tickets"],"summary":"Updates specified ticket rate.","consumes":["application/json"],"parameters":[{"in":"path","name":"id","type":"integer","required":true,"description":"Id of the ticket rate"},{"in":"body","name":"body","description":"","schema":{"type":"object","required":["rate"],"properties":{"rate":{"type":"integer","example":2},"other_reason":{"type":"string","example":"Другая причина"},"rate_reason_ids":{"type":"array","example":[1,2],"items":{"type":"integer"}}}}}],"responses":{"201":{"description":"Returns updated ticket rate","schema":{"properties":{"ticket_rate":{"$ref":"#/definitions/TicketRate"}}}}}}},"/tickets/not-done/{id}":{"post":{"tags":["Tickets"],"summary":"Creates job is not done for the ticket","consumes":["multipart/form-data"],"parameters":[{"in":"path","name":"id","type":"integer","required":true,"description":"Numeric ID of the ticket."},{"name":"images[]","in":"formData","description":"Array of image files","type":"file"},{"name":"description","required":true,"in":"formData","type":"string"}],"responses":{"201":{"description":"Return created job not done for the ticket","schema":{"properties":{"job_not_done":{"$ref":"#/definitions/JobNotDone"}}}}}}},"/news":{"get":{"tags":["News"],"summary":"News list with pagination","parameters":[{"in":"query","name":"per_page","type":"integer","required":false,"description":"Amount of items per page limit(by default: 10)"},{"in":"query","name":"page","type":"integer","required":false,"description":"Get specified page by number"},{"in":"query","name":"search_query","type":"string","required":false,"description":"Search query"},{"in":"query","name":"category_ids","type":"string","required":false,"description":"Ids separated by commas of news category"},{"in":"query","name":"district_ids","type":"string","required":false,"description":"district ids separated by commas"}],"responses":{"200":{"description":"Current user's tickets list","schema":{"properties":{"tickets":{"type":"array","items":{"$ref":"#/definitions/News"}},"meta":{"$ref":"#/definitions/Pagination"}}}}}}},"/addresses/street":{"get":{"tags":["Addresses"],"summary":"Endpoint to search by street names","parameters":[{"in":"query","name":"name","type":"string","required":true,"description":"Street name"}],"responses":{"200":{"description":"Streets list","schema":{"properties":{"streets":{"type":"array","items":{"$ref":"#/definitions/Street"}}}}}}}},"/addresses/building":{"get":{"tags":["Addresses"],"summary":"Endpoint to search building on certain street","parameters":[{"in":"query","name":"street_id","type":"integer","required":true,"description":"Street id"},{"in":"query","name":"number","type":"integer","required":true,"description":"Building number on the specified street"}],"responses":{"200":{"description":"Buildings on the street list","schema":{"properties":{"buildings":{"type":"array","items":{"$ref":"#/definitions/Building"}}}}}}}},"/news/{id}":{"get":{"tags":["News"],"summary":"News data","parameters":[{"in":"path","name":"id","type":"integer","required":true,"description":"Numeric ID of the news to get."}],"responses":{"200":{"description":"News","schema":{"$ref":"#/definitions/News"}}}}},"/content/about-us":{"get":{"tags":["Content"],"summary":"About us pages list","parameters":[{"in":"query","name":"search_query","type":"string","required":false,"description":"Search query"}],"responses":{"200":{"description":"About us pages list","schema":{"properties":{"about_us":{"type":"array","items":{"$ref":"#/definitions/Content"}}}}}}}},"/content/before-after":{"get":{"tags":["Content"],"summary":"Before after list","responses":{"200":{"description":"Before after list","schema":{"properties":{"before_after":{"type":"array","items":{"$ref":"#/definitions/BeforeAfter"}}}}}}}},"/notifications":{"get":{"tags":["Notifications"],"summary":"Get notifications list","responses":{"200":{"description":"notifications list","schema":{"properties":{"notifications":{"type":"object","properties":{"new_count":{"type":"integer","example":1},"new":{"type":"array","items":{"$ref":"#/definitions/Notification"}},"old":{"type":"array","items":{"$ref":"#/definitions/Notification"}}}}}}}}}},"/notifications/mark-as-read":{"post":{"tags":["Notifications"],"summary":"Mark notifications read","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"body","in":"body","schema":{"type":"object","example":{"ids":[1,2]}}}],"responses":{"200":{"description":"OK"}}}},"/push-token/attach":{"post":{"tags":["Push-token"],"summary":"Attach firebase token from user","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"","schema":{"type":"object","required":["token"],"properties":{"token":{"type":"string","example":"test_token"}}}}],"responses":{"200":{"description":"","schema":{"properties":{"succsess":{"type":"boolean","example":true}}}}}}},"/push-token/detach":{"post":{"tags":["Push-token"],"summary":"Detach firebase token from user","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"","schema":{"type":"object","required":["token"],"properties":{"token":{"type":"string","example":"test_token"}}}}],"responses":{"200":{"description":"","schema":{"properties":{"succsess":{"type":"boolean","example":true}}}}}}},"/push-token/test":{"post":{"tags":["Push-token"],"summary":"Send test notification to all attached FCM tokens","consumes":["application/json"],"produces":["application/json"],"responses":{"200":{"description":"","schema":{"$ref":"#/definitions/Test"}}}}},"/statistics/top-questions":{"get":{"tags":["Statistics"],"summary":"Top questions list","responses":{"200":{"description":"top questions list","schema":{"properties":{"top_questions":{"type":"array","items":{"$ref":"#/definitions/TopQuestion"}}}}}}}},"/statistics/tickets-total":{"get":{"tags":["Statistics"],"summary":"Total tickets registered info","responses":{"200":{"description":"Total tickets registered info","schema":{"properties":{"tickets_total":{"type":"object","properties":{"amount":{"type":"number","example":60},"amount_previous":{"type":"number","example":3},"changes_percent":{"type":"string","example":"95.00%"}}}}}}}}},"/statistics/by-direction":{"get":{"tags":["Statistics"],"summary":"Info by directions","responses":{"200":{"description":"Info by directions","schema":{"properties":{"by_direction":{"type":"array","items":{"$ref":"#/definitions/StatisticsByDirection"}}}}}}}},"/statistics/summed-numbers":{"get":{"tags":["Statistics"],"summary":"Summed numbers info about tickets","responses":{"200":{"description":"Summed numbers info about tickets","schema":{"properties":{"summed_numbers":{"type":"array","items":{"$ref":"#/definitions/StatisticsSummedNumbers"}}}}}}}},"/statistics/last-month":{"get":{"tags":["Statistics"],"summary":"Last month by days","responses":{"200":{"description":"Last month by days","schema":{"properties":{"Липень":{"type":"array","items":{"$ref":"#/definitions/StatisticsLastMonth"}},"Серпень":{"type":"array","items":{"$ref":"#/definitions/StatisticsLastMonth"}}}}}}}}},"definitions":{"Profile":{"required":["id"],"type":"object","properties":{"id":{"type":"integer","example":1},"first_name":{"type":"string"},"middle_name":{"type":"string"},"last_name":{"type":"string"},"birthday":{"type":"integer","format":"timestamp","example":1547123911},"gender":{"type":"integer","example":0,"description":"Genders:\n * `0` - Female\n * `1` - Male\n"},"avatar":{"type":"string","description":"link to the image"},"accounts":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string","example":"Google"},"connected":{"type":"boolean","example":false}}}},"emails":{"type":"array","items":{"$ref":"#/definitions/Email"}},"phones":{"type":"array","items":{"$ref":"#/definitions/Phone"}}}},"Phone":{"required":["type","phone"],"properties":{"type":{"type":"string","example":"PRIMARY","description":"Types:\n * `PRIMARY`\n * `ADDITIONAL`\n"},"phone":{"type":"string","example":"+380501234567"}}},"Email":{"required":["type","email"],"properties":{"type":{"type":"string","example":"PRIMARY","description":"Types:\n * `PRIMARY`\n * `ADDITIONAL`\n"},"email":{"type":"string","example":"user@mail.com"}}},"Document":{"required":["id","type","series","number","issueDate","issuedBy"],"properties":{"id":{"type":"integer","example":1},"type":{"type":"string","example":"PASSPORT_INTERNAL","description":"Types:\n * `PASSPORT_INTERNAL` - Паспорт громадянина України\n * `PASSPORT_EXTERNAL` - Закордонний паспорт\n * `IDENT` - Інше посвідчення особи\n"},"series":{"type":"string"},"number":{"type":"string"},"issueDate":{"type":"integer","format":"timestamp","example":1547123911},"issuedBy":{"type":"string"},"expiryDate":{"type":"integer","format":"timestamp","example":1547123911}}},"Address":{"required":["id","type"],"properties":{"id":{"type":"integer","example":1},"type":{"type":"string","example":"FACTUAL","description":"Types:\n * `FACTUAL` - Адреса місця проживання\n * `REGISTRATION` - Адреса місця реєстрації\n * `OTHER` - Інша адреса\n"},"postcode":{"type":"string"},"country":{"type":"string"},"area":{"type":"string"},"district":{"type":"string"},"city":{"type":"string"},"street":{"type":"string"},"house":{"type":"string"},"frame":{"type":"string"},"flat":{"type":"string"}}},"TicketSubject":{"required":["id","name","address_required"],"properties":{"id":{"type":"integer","example":1},"name":{"type":"string","example":"Благоустрій та земельні ресурси"},"address_required":{"type":"boolean","example":true},"icon_mobile":{"type":"string","example":"http://1551-back.systems.media/images/icons/subjects/house_comunal.png"},"icon_web":{"type":"string","example":"http://1551-back.systems.media/images/icons/subjects/house_comunal.svg"}}},"Image":{"required":["url"],"properties":{"url":{"type":"string","example":"https://1551-back.systems.media/storage/tickets/wWl87O74KwBhhokMTaB1H4TxFJnhzyDqmc4ClVhR.jpeg"}}},"TicketRateReason":{"required":["id","name"],"properties":{"id":{"type":"integer","example":1},"name":{"type":"string","example":"Незадовільна якість виконання"}}},"Ticket":{"required":["id","user_id","subject_id","description","status"],"properties":{"id":{"type":"integer","example":1},"user_id":{"type":"integer","example":3},"subject_id":{"type":"integer","example":2},"description":{"type":"string","example":"Текст опису"},"status":{"type":"string","example":"На модерації"},"status_color":{"type":"string","example":"#dd9797"},"private":{"type":"boolean","example":true},"address":{"type":"string","example":"Вул. Грушевського 22"},"work_taken_by":{"type":"string","example":"КП «ГІОЦ»"},"approx_done_date":{"type":"string","example":"2019-04-25T21:00:00.000000Z"},"location_lat":{"type":"number","example":44.5},"location_lng":{"type":"number","example":55},"created_at":{"type":"string","example":"2019-04-17T14:45:26.000000Z"},"pdf_files":{"type":"array","items":{"type":"string","example":"4/42jDfkRUwy.pdf"}},"images":{"type":"array","items":{"type":"string","example":"4/42jDfkRUwy.jpg"}},"subject":{"type":"array","description":"*Present only in responses","items":{"$ref":"#/definitions/TicketSubject"}}}},"TicketMap":{"required":["шв","location_lat","location_lng","status"],"properties":{"id":{"type":"integer","example":1},"location_lat":{"type":"number","example":50.45466},"location_lng":{"type":"number","example":30.52385},"status":{"type":"string","example":"На модерації"}}},"TicketProgress":{"required":["id","type","ticket_id","main_text","date","sub_text","day","current","images","color"],"properties":{"id":{"type":"integer","example":1},"ticket_id":{"type":"integer","example":1},"date":{"type":"string","example":"2019-04-22T14:42:10.000000Z"},"main_text":{"type":"string","example":"Подано звернення"},"sub_text":{"type":"string","example":"Not so many years ago businesses used to grunt at using illustrations in their marketing materials."},"type":{"type":"string","example":"DONE"},"day":{"type":"string","example":"02"},"current":{"description":"values may vary from 0 to 1","type":"integer","example":1},"images":{"type":"array","items":{"type":"string","example":"4/42jDfkRUwy.jpg"}},"color":{"$ref":"#/definitions/Color"},"rate":{"$ref":"#/definitions/TicketRate"}}},"TicketProgressPlaceholder":{"required":["main_text","sub_text","color"],"properties":{"id":{"type":"integer","example":null},"ticket_id":{"type":"integer","example":null},"main_text":{"type":"string","example":"Звернення виконано"},"sub_text":{"type":"string","example":"Той момент, якого всі чекають!"},"type":{"type":"string","example":null},"day":{"type":"string","example":null},"current":{"description":"values may vary from 0 to 1","type":"integer","example":null},"images":{"type":"array","items":{"type":"string","example":null}},"color":{"$ref":"#/definitions/Color"}}},"TicketRate":{"description":"Returns null if no rate","required":["rate"],"properties":{"id":{"type":"integer","example":3},"rate":{"type":"integer","example":5},"other_reason":{"type":"string","example":"Другая причина"},"rate_reasons":{"type":"array","items":{"$ref":"#/definitions/TicketRateReason"}}}},"JobNotDone":{"required":["description"],"properties":{"description":{"type":"string","example":"Some description about what is not done."},"images":{"type":"array","items":{"$ref":"#/definitions/Image"}}}},"WhatCanBeReported":{"required":["name","link"],"properties":{"name":{"type":"string","example":"Трамваї"},"link":{"type":"string","example":"http://wiki.1551.gov.ua/pages/viewpage.action?pageId=8945837"}}},"WhatCanBeReportedCategory":{"required":["id","name"],"properties":{"id":{"type":"integer","example":2},"name":{"type":"string","example":"Транспорт"}}},"NewsCategory":{"required":["id","name"],"properties":{"id":{"type":"integer","example":2},"name":{"type":"string","example":"Преса"}}},"District":{"required":["id","name"],"properties":{"id":{"type":"integer","example":2},"name":{"type":"string","example":"Деснянський"}}},"Color":{"required":["color_id","filled"],"properties":{"color_id":{"type":"integer","example":1,"description":"Index of the color: 1 - Orange, 2 - Violet, 3 - Grey"},"filled":{"type":"integer","example":0,"description":"Can be 0 or 1 - filled or not filled"}}},"News":{"required":["id","title","date","time","main_image","category"],"properties":{"id":{"type":"integer","example":1,"description":"id of the news"},"title":{"type":"string","example":"Some title","description":"Returns title"},"body":{"type":"string","example":"<ol><li>Hello</li><li>World</li><li>!</li></ol>","description":"Return html in string"},"date":{"type":"string","example":"21.05.2019","description":"Returns date"},"time":{"type":"string","example":"19:27","description":"Returns time"},"main_image":{"type":"string","example":"https://1551-back.systems.media/storage/some_image.png","description":"Returns main image link"},"image_before":{"type":"string","example":"https://1551-back.systems.media/storage/some_image.png","description":"Returns image what was before link"},"image_after":{"type":"string","example":"https://1551-back.systems.media/storage/some_image.png","description":"Returns image what's now link"},"subject_icon":{"type":"string","example":"https://1551-back.systems.media/storage/some_image.png","description":"Returns subject icon link"},"subject_title":{"type":"string","example":"Some title","description":"Returns subject title"},"category":{"$ref":"#/definitions/NewsCategory"}}},"BeforeAfter":{"required":["id","image_before","image_after","date","title","subject_icon","subject_title"],"properties":{"id":{"type":"integer","example":1,"description":"id"},"image_before":{"type":"string","example":"https://1551-back.systems.media/storage/some_image.png","description":"Returns image what was before link"},"image_after":{"type":"string","example":"https://1551-back.systems.media/storage/some_image.png","description":"Returns image what's now link"},"title":{"type":"string","example":"Some title","description":"Returns title"},"date":{"type":"string","example":"21.05.2019","description":"Returns date"},"subject_icon":{"type":"string","example":"https://1551-back.systems.media/storage/some_image.png","description":"Returns subject icon link"},"subject_title":{"type":"string","example":"Some title","description":"Returns subject title"}}},"Content":{"required":["id","title","body"],"properties":{"id":{"type":"integer","example":1},"title":{"type":"string","example":"Вакансії","description":"Title of the content page"},"body":{"type":"string","example":"<p><font face=\"Gotham Pro Regular\"><b><span style=\"font-size: 14px;\">КБУ «Контактний центр міста Києва» – це прямий зв’язок громадян з Київською міською владою.</span></b></font><br></p>"}}},"Street":{"required":["id","name"],"properties":{"id":{"type":"integer","example":11},"name":{"type":"string","example":"Василя Симоненка вул."}}},"Notification":{"properties":{"id":{"type":"integer","example":11},"ticket_id":{"type":"integer","example":110},"text":{"type":"string","example":"Ваше звернення №125467 виконано"},"sub_text":{"type":"string","example":"Знищення омели, амброзії та рослин - паразитів"},"date":{"type":"string","example":"26/06/2019 00:00"}}},"Test":{"properties":{"success":{"type":"boolean","example":true},"notification":{"type":"array","example":[{"title":"Test notification","body":"Send on 10:00:00"}]},"data":{"type":"array","example":[{"id":"ap1_0"}]}}},"Building":{"required":["id","number","location_lat","location_lng"],"properties":{"id":{"type":"integer","example":12},"number":{"type":"string","example":"17-А"},"location_lat":{"type":"number","example":50.46},"location_lng":{"type":"number","example":30.52}}},"TopQuestion":{"properties":{"question":{"type":"string","example":"Не працює пасажирський ліфт"},"amount":{"type":"number","example":5},"amount_previous":{"type":"number","example":2},"changes_percent":{"type":"string","example":"100.00%"}}},"StatisticsByDirection":{"properties":{"name":{"type":"string","example":"Благоустрій"},"amount":{"type":"number","example":35}}},"StatisticsSummedNumbers":{"properties":{"name":{"type":"string","example":"Всього звернень в роботі"},"amount":{"type":"number","example":123}}},"StatisticsLastMonth":{"properties":{"day":{"type":"string","example":"03"},"in_progress":{"type":"number","example":4383},"done":{"type":"number","example":1},"overdue":{"type":"number","example":4382}}},"Pagination":{"required":["pagination"],"properties":{"pagination":{"type":"object","properties":{"total":{"type":"integer","example":222},"count":{"type":"integer","example":2},"per_page":{"type":"integer","example":2},"current_page":{"type":"integer","example":2},"total_pages":{"type":"integer","example":2},"links":{"type":"object","description":"Returns [] if only one page in total","properties":{"previous":{"type":"string","description":"Present if there is a previous page","example":"https://1551-back.systems.media/api/tickets?per_page=2&page=1"},"next":{"type":"string","description":"Present if there is a next page","example":"https://1551-back.systems.media/api/tickets?per_page=2&page=3"}}}}}}}}}